## gcovr 2.4

=== gcovr/tests/bad++char/Makefile ===
all:
	g++ -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml

txt:
	./testcase
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr -r . -d -x -o coverage.xml

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml
