=== debian/changelog ===
gcovr (2.4-0ubuntu1) quantal; urgency=low

  [ Allan LeSage ]
  * Initial release (LP: #1046332)

  [Michael Terry]
  * Clean up packaging a bit

 -- Michael Terry <mterry@ubuntu.com>  Wed, 05 Sep 2012 10:34:34 -0400
