=== debian/control ===
Source: gcovr
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3~),
               python-setuptools,
X-Python-Version: >= 2.4
Standards-Version: 3.9.3
Homepage: https://software.sandia.gov/svn/public/fast/gcovr

Package: gcovr
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Manages the compilation of coverage information from gcov
 The gcovr command provides a utility for running the gcov command and
 summarizing code coverage results. This command is inspired by the
 Python coverage.py package, which provides a similar utility in
 Python. Further, gcovr can be viewed as a command-line alternative of
 the lcov utility, which runs gcov and generates an HTML output.
