=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

get-orig-source:
	export VERSION=`dpkg-parsechangelog | sed -n -e 's/^Version: \(.*\)-[^-]*$$/\1/p'`; \
	export FOLDER=gcovr-$${VERSION}; \
	svn export --quiet https://software.sandia.gov/svn/public/fast/gcovr/tags/$${VERSION} $${FOLDER}; \
	tar cJf gcovr_$${VERSION}.orig.tar.xz $${FOLDER}; \
	rm -rf $${FOLDER};
