=== debian/changelog ===
gcovr (3.1-1ubuntu1) utopic; urgency=medium

  * debian/patches/fix-root-arg.patch:
    - Fix bug that parsed the --root argument as an array, instead of a
      string.  This meant we kept searching '/' as well as some nonsense
      one-character directories.  Backported from upstream 3.2 release.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 Aug 2014 10:28:52 -0400

gcovr (3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #729224)

  [ Sylvestre Ledru ]
  * Add a watch file
  * Simplify debian/rules
  * Update of the copyright file
  * Add the Vcs-Browser & Vcs-Git fields
  * Add myself as uploader

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 03 Jun 2014 10:33:05 +0200
