=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Section: devel
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),
                python-setuptools,
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.3
-Homepage: https://software.sandia.gov/svn/public/fast/gcovr
+Standards-Version: 3.9.5
+Homepage: http://gcovr.com/
+Vcs-Browser: https://github.com/silwol/gcovr
+Vcs-Git: https://github.com/silwol/gcovr.git
 
 Package: gcovr
 Architecture: all
