=== debian/changelog ===
gcovr (3.2-1) unstable; urgency=medium

  * New upstream release

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Thu, 31 Jul 2014 11:54:21 +0200
