=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gcovr
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
+Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),
