## gcovr 3.3

=== debian/changelog ===
gcovr (3.3-1) unstable; urgency=medium

  * New upstream release
  * Reference collab-maint git repository instead of github
  * Update manpage to 3.3
  * Add dh-python build-dependency
  * Use machine-readable license in copyright file
  * Update standards version to 3.9.8

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 27 Aug 2016 07:32:27 +0200
