=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),
                python-setuptools,
+               dh-python,
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://gcovr.com/
-Vcs-Browser: https://github.com/silwol/gcovr
-Vcs-Git: https://github.com/silwol/gcovr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcovr.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gcovr.git
 
 Package: gcovr
 Architecture: all
