=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

PYTHON2_VERSIONS = $(shell pyversions -r)
pyalldo = set -e; $(foreach py, $(PYTHON2_VERSIONS), $(py) $(1);)

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm README.txt
