=== gcovr/tests/oos/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 run: txt xml html
 
-GCOVR_TEST_OPTIONS = -r '.'
+GCOVR_TEST_OPTIONS =
 
 txt:
 	build/testcase
