=== debian/changelog ===
gcovr (3.4-1) unstable; urgency=medium

  * New upstream release
  * Move the debian repo to salsa
  * Standards-Version updated to 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 24 Feb 2018 17:05:32 +0100
