=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gcovr
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -8,10 +8,10 @@
                python-setuptools,
                dh-python,
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://gcovr.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcovr.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/gcovr.git
+Vcs-Browser: https://salsa.debian.org/debian/gcovr
+Vcs-Git: https://salsa.debian.org/debian/gcovr.git
 
 Package: gcovr
 Architecture: all
