=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_auto_clean
 	rm -rf build
 	rm -rf *.egg-info
-	rm README.txt
+
