## gcovr 4.0

=== debian/changelog ===
gcovr (4.0-1) unstable; urgency=medium

  * New upstream release
  * Move to python 3 (2 is no longer supported by upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Jun 2018 15:05:47 +0200
