=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
-               python (>= 2.6.6-3~),
+               python3,
                python-setuptools,
                dh-python,
-X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.6
 Standards-Version: 4.1.3
 Homepage: http://gcovr.com/
 Vcs-Browser: https://salsa.debian.org/debian/gcovr
@@ -16,7 +16,7 @@
 Package: gcovr
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
 Description: Manages the compilation of coverage information from gcov
  The gcovr command provides a utility for running the gcov command and
  summarizing code coverage results. This command is inspired by the
