=== debian/changelog ===
gcovr (4.1-2) unstable; urgency=medium

  * Fix dependency on python3
  * Depend on python3-pkg-resources (Closes: #905722)
  * Depend on lcov which gets called by the binary
  * Update manpage for version 4.1
  * Remove texinfo reference from manpage (Closes: #843548)
  * Remove trailing whitespace from debian/control
  * Use secure copyright url
  * Set dh compat version 11
  * Update standards to 4.2.1

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 03 Sep 2018 09:32:42 +0200

gcovr (4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Jul 2018 11:42:44 +0200
