## gcovr 4.2

=== requirements.txt ===
flake8 >= 3.7
pytest
pyutilib
typing ; python_version < '3.5'
