=== gcovr/tests/dot/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	$(CXX) $(CFLAGS) -c .subdir/B/main.cpp -o .subdir/B/main.o
 	$(CXX) $(CFLAGS) .subdir/A/file1.o .subdir/A/file2.o .subdir/A/file3.o .subdir/A/file4.o .subdir/A/C/file5.o .subdir/A/C/D/file6.o .subdir/B/main.o -o .subdir/testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 txt:
 	./.subdir/testcase
@@ -24,8 +24,15 @@
 	./.subdir/testcase
 	$(GCOVR) -r . -d --html-details -o coverage.html
 
+sonarqube:
+	./.subdir/testcase
+	$(GCOVR) -r . -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f ./.subdir/testcase
 	rm -f .*.gc* */*.gc* .*/*/*.gc* .*/*/*/*.gc* .*/*/*/*/*.gc*
 	rm -f .*.o .*/*.o .*/*/*.o .*/*/*/*.o .*/*/*/*/*.o
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml
