=== gcovr/tests/excl-branch/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:
 	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 txt:
 	./testcase
@@ -15,7 +15,14 @@
 	./testcase
 	$(GCOVR) --exclude-unreachable-branches -b -d --html-details -o coverage.html
 
+sonarqube:
+	./testcase
+	$(GCOVR) --exclude-unreachable-branches -b -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f testcase
 	rm -f *.gc*
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml
