=== gcovr/tests/exclude-directories-relative/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	$(CXX) $(CFLAGS) -c b/main.cpp -o build/b/main.o
 	$(CXX) $(CFLAGS) build/b/main.o build/a/file1.o -o testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 GCOVR_TEST_OPTIONS = --exclude-directories 'build/a'
 
@@ -22,7 +22,14 @@
 	./testcase
 	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html
 
+sonarqube:
+	./testcase
+	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f testcase
-	rm -f *.gc* *.o
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -rf build  # remove *.gc* *.o
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml
