=== debian/changelog ===
gcovr (4.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Nov 2019 09:05:04 +0100
