=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                python3,
-               python-setuptools,
+               python3-setuptools,
                dh-python,
 X-Python3-Version: >= 3.6
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://gcovr.com/
 Vcs-Browser: https://salsa.debian.org/debian/gcovr
 Vcs-Git: https://salsa.debian.org/debian/gcovr.git
@@ -17,6 +17,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         lcov,
+         python3-pkg-resources,
 Description: Manages the compilation of coverage information from gcov
  The gcovr command provides a utility for running the gcov command and
  summarizing code coverage results. This command is inspired by the
